import java.util.Arrays;
import java.util.Random;

public class 练习3 {

    public static void randomizeArray(int[] array) {
        Random random = new Random();
        for (int i = 0; i < array.length; i++) {
            array[i] = random.nextInt(100);
        }
    }

    public static int sumArray(int[] array) {
        int sum = 0;
        for (int num : array) {
            sum += num;
        }
        return sum;
    }

    public static int maxArray(int[] array) {
        int max = array[0];
        for (int num : array) {
            if (num > max) {
                max = num;
            }
        }
        return max;
    }

    public static int minArray(int[] array) {
        int min = array[0];
        for (int num : array) {
            if (num < min) {
                min = num;
            }
        }
        return min;
    }

    public static void randomize2DArray(int[][] array) {
        Random random = new Random();
        for (int i = 0; i < array.length; i++) {
            for (int j = 0; j < array[i].length; j++) {
                array[i][j] = random.nextInt(100); // 假设随机数的范围是0到99
            }
        }
    }

    public static int sum2DArray(int[][] array) {
        int sum = 0;
        for (int[] row : array) {
            for (int num : row) {
                sum += num;
            }
        }
        return sum;
    }

    public static int max2DArray(int[][] array) {
        int max = array[0][0];
        for (int[] row : array) {
            for (int num : row) {
                if (num > max) {
                    max = num;
                }
            }
        }
        return max;
    }

    public static int min2DArray(int[][] array) {
        int min = array[0][0];
        for (int[] row : array) {
            for (int num : row) {
                if (num < min) {
                    min = num;
                }
            }
        }
        return min;
    }

    public static void main(String[] args) {
        int[] oneDArray = new int[10];
        int[] array = {1, 5, 8, 12, 15, 20, 22, 25, 30, 35};
        randomizeArray(oneDArray);
        System.out.println("一维数组内容: " + Arrays.toString(oneDArray));
        System.out.println("数组的和: " + sumArray(oneDArray));
        System.out.println("数组的最大值: " + maxArray(oneDArray));
        System.out.println("数组的最小值: " + minArray(oneDArray));

        int[][] twoDArray = new int[3][3];
        int[][] array2 = {
                {1, 2, 3},
                {4, 5, 6},
                {7, 8, 9}
        };
        randomize2DArray(twoDArray);
        System.out.println("二维数组内容: ");
        for (int[] row : twoDArray) {
            System.out.println(Arrays.toString(row));
        }
        System.out.println("二维数组的和: " + sum2DArray(twoDArray));
        System.out.println("二维数组的最大值: " + max2DArray(twoDArray));
        System.out.println("二维数组的最小值: " + min2DArray(twoDArray));
    }
}
